Skip to main content
Deposits API

List Deposits

GET /deposits/list

Returns a list of Deposits associated to a business.

This list uses pagination.

Available Filters

This endpoint supports advanced filtering and search capabilities based on the parameters below.
The parameters should be appended to the API URL as follows:

https://api.druo.com/deposits/list?page_size=1&status=SUCCESSFUL
Category Query Parameter Description
General uuid The deposit's uuid.
General code The deposit's code.
General status The deposit's status.
General amount The exact deposit amount.
General amount_less_than An amount that the deposit must be less than or equal to.
General amount_greater_than An amount that the deposit must be greater than or equal to.
General date_from The beginning of the creation date range in GMT time.
General date_to The end of creation date range in GMT time.
Pagination page The page number to retrieve. Defaults to the first page.
Pagination page_size Number of deposits per page. Defaults to 100, maximum 1000.

Response Fields (array)

uuid

string

The Transaction’s UUID.

Example value:  trx_422f0f81-5001-4cce-a229-242d9ab9960a

code

string

The Transaction’s code.

Example value:  TXNMW9PCWE

status

string

The Transaction’s status.

Example value:  SUCCESSFUL

type

string

The type of Transaction.

Example value:  DEPOSIT

tenant

object

The ID of the Tenant that originated the transaction.

Example value:

 
{"uuid": "ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a"}
amount

integer

The amount of money, in the smallest denomination of the currency indicated by currency, including the values after the decimal separator. For example, when currency is USD, amount is in cents. $10.00 USD is 1000.

Example value:  10000

variable_fee

integer

The Transaction’s variable fee.

Example value:  400

fixed_fee

integer

The Transaction’s fixed fee.

Example value:  0

total_fee

integer

The Transaction’s total fee.

Example value:  400

net_amount

integer

The Transaction’s net amount:

Example value:  20400

currency

object

The type of currency, in ISO 4217 format. See Currency for values. For example, the currency code for US dollars is USD.

Example value:  {"code": "USD"}

description

string

The description of this transaction. Users may see this description (e.g., in email receipts DRUO sends on your behalf).

Example value:  Insurance policy renewal - INV12324

remarks

string

The Transaction’s remarks.

Example value:  INSUFFICIENT_FUNDS

destination_account

object

The ID of the destination account.

Example value:

 
{"uuid": "acc_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a"}
creation_source

string

The creation source of the Transaction.

Example value:  MERCHANT_PORTAL

primary_reference

string

An optional primary ID you can associate with the transaction for your own purposes (such as to associate the transaction with an entity ID in your own database). This value cannot exceed 40 characters.

Example value:  ABC123

secondary_reference

string

An optional secondary ID you can associate with the transaction for your own purposes (such as to associate the transaction with an entity ID in your own database). This value cannot exceed 40 characters.

Example value:  bj39fhow39fhqp3f0hfae4344

metadata

object

Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Example value:  {"order_id": "6735"}

date_created_gmt

string

Transaction created date

Example value:  2021-11-15T23:23:38

date_updated_gmt

string

Transaction updated date

Example value:  2021-11-15T23:23:38

related_transactions_count

integer

Number of transactions related to the deposit.

Example value:  2

related_transactions

object

transactions related to the deposit.

Example value:

{"uuid": "trx_9c0d1e2f-0000-4000-8000-000000000002","type": "PAYMENT","amount": 150000}
GET /deposits/list
curl --location 'https://api.druo.com/deposits/list' \
--header 'DRUO-Version: 2021-11-22' \
--header 'Authorization: Bearer ACCESS_TOKEN'
Response
{
   "deposits":[
      {
         "uuid":"trx_422f0f81-5001-4cce-a229-242d9ab9960a",
         "code":"TXNMW9PCWE",
         "status":"SUCCESSFUL",
         "type":"DEPOSIT",
         "tenant":null,
         "amount":250000,
         "variable_fee":null,
         "fixed_fee":null,
         "total_fee":null,
         "net_amount":null,
         "currency":{
            "code":"USD"
         },
         "description":"Deposit",
         "remarks":null,
         "destination_account":{
            "uuid":"acc_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a"
         },
         "creation_source":"MERCHANT_API",
         "primary_reference":"SETT-2026-08-03-4182",
         "secondary_reference":"BATCH-7741",
         "metadata":{
            "batch_id":"7741",
            "settlement_cycle":"T+1"
         },
         "date_created_gmt":"2026-08-03T18:49:28.628Z",
         "date_updated_gmt":"2026-08-03T19:37:45.123Z",
         "related_transactions_count":2,
         "related_transactions":[
            {
               "uuid":"trx_9c0d1e2f-0000-4000-8000-000000000002",
               "type":"PAYMENT",
               "amount":150000
            },
            {
               "uuid":"trx_3a4b5c6d-0000-4000-8000-000000000003",
               "type":"PAYMENT",
               "amount":100000
            }
         ]
      }
   ],
   "page_info":{
      "has_next_page":true,
      "page_size":1
   }
}